    Info<< "Reading field p\n" << endl;
    volScalarField p
    (
        IOobject
        (
            "p",
            runTime.timeName(),
            mesh,
            IOobject::MUST_READ,
            IOobject::AUTO_WRITE
        ),
        mesh
    );

    Info<< "Reading field U\n" << endl;
    volVectorField U
    (
        IOobject
        (
            "U",
            runTime.timeName(),
            mesh,
            IOobject::MUST_READ,
            IOobject::AUTO_WRITE
        ),
        mesh
    );

	
    #include "createPhi.H"


    label pRefCell = 0;
    scalar pRefValue = 0.0;
    setRefCell(p, mesh.solutionDict().subDict("SIMPLE"), pRefCell, pRefValue);


    Info<< "Reading field pa\n" << endl;
    volScalarField pa
    (
        IOobject
        (
            "pa",
            runTime.timeName(),
            mesh,
            IOobject::MUST_READ,
            IOobject::AUTO_WRITE
        ),
        mesh
    );

    Info<< "Reading field Ua\n" << endl;
    volVectorField Ua
    (
        IOobject
        (
            "Ua",
            runTime.timeName(),
            mesh,
            IOobject::MUST_READ,
            IOobject::AUTO_WRITE
        ),
        mesh
    );

    #include "createPhia.H"


    label paRefCell = 0;
    scalar paRefValue = 0.0;
    setRefCell
    (
        pa,
        mesh.solutionDict().subDict("SIMPLE"),
        paRefCell,
        paRefValue
    );


    singlePhaseTransportModel laminarTransport(U, phi);

    autoPtr<incompressible::RASModel> turbulence
    (
        incompressible::RASModel::New(U, phi, laminarTransport)
    );


    dimensionedScalar zeroSensitivity("0", dimVelocity*dimVelocity, 0.0);
    dimensionedScalar zeroAlpha("0", dimless/dimTime, 0.0);

	dimensionedScalar nu(laminarTransport.lookup("nu"));
	dimensionedScalar gamma(laminarTransport.lookup("gamma"));

    const labelList& inletCells = mesh.boundary()["inlet"].faceCells();
    //const labelList& outletCells = mesh.boundary()["outlet"].faceCells();

	volScalarField sens
	(
		IOobject
		(
			"sensitivity",
			runTime.timeName(),
			mesh,
			IOobject::READ_IF_PRESENT,
			IOobject::AUTO_WRITE
		),
		(Ua&U)*0
	);
	
			
